import { expect, test } from "bun:test"

import { PathFilter } from "../controllers/manageMrEvent/utils/pathFilter"

// 测试用例
test("PathFilter check method", () => {
  // 示例规则数组
  const rules = [
    "*.js", // 包含所有.js文件
    "!*.test.js", // 排除所有.test.js文件
    "src/**", // 包含src目录下的所有文件
    "!src/tmp/**", // 排除src/tmp目录下的所有文件
  ]

  // 创建PathFilter实例
  const pathFilter = new PathFilter(rules)
  // 测试包含.js文件
  expect(pathFilter.check("example.js")).toBe(true)

  // 测试排除.test.js文件
  expect(pathFilter.check("example.test.js")).toBe(false)

  // 测试包含src目录下的文件
  expect(pathFilter.check("src/index.js")).toBe(true)

  // 测试排除src/tmp目录下的文件
  expect(pathFilter.check("src/tmp/temp.js")).toBe(false)
})
